#include <iostream>
#include <algorithm>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    
    int n, k, x;
    cin >> n >> k >> x;
    
    int p[n];
    for(int i = 0; i < n; i++)
        cin >> p[i];
    
    long long prefiksneSume[k+1];
    for(int i = k - 1; i < n; i++) {
        prefiksneSume[0] = 0;
        for(int j = 0; j < k; j++)
            prefiksneSume[j+1] = prefiksneSume[j] + p[i-j];
        
        sort(prefiksneSume, prefiksneSume + k, greater<int>());
        
        long long zbir = prefiksneSume[k];
        for(int i = 0; i < x - 1; i++)
            zbir += prefiksneSume[i];
        
        cout << zbir << '\n';
    }
    
    return 0;
}